function model = constrainModel(model, constraints, condition)
% Apply constraints to the model
% input: struct model
% input: struct constraints
% input: string condition (to match with constraints.conditions)
% output: struct model
% Carl Song, March 25, 2011

column = ismember(constraints.conditions, condition);

% For each reaction:
for i = 1:length(model.rxns)
    row = ismember(constraints.reactions, model.rxns(i));
    
    % If cannot find the row with the reaction of interest at all...
    if ~row
        row = ismember(constraints.reactions, regexprep(model.rxns(i), '[a-z]', ''));
    end
    
    % 
    value = constraints.values(row,column);
    if value
        model = changeRxnBounds(model, model.rxns(i), value, 'u');
        if model.rev(i)        
            model = changeRxnBounds(model, model.rxns(i), 0-value, 'l');
        end
    end
end