function scale = getConstraintScale(model, constraints, target)
% iteratively scale the ME49 growth rate until it reaches target
% input: struct model
% input: struct constraints
% input: double target
% output: double scale

error = 0;
scale = 1;
model = constrainModel(model, constraints, 'ME49');

while error > -2.5
    m = scaleConstraints(model, scale);
    FBAsolution = optimizeCbModel(m, 'max');
    ratio = FBAsolution.f/target;
    if (ratio <= 0)
        scale = 0;
        error = -2.5;
    else
        scale = scale / (log(ratio) + 1)^0.25;
        error = log(abs(log(FBAsolution.f/target)));
    end
end
