function model = scaleConstraints(model, scale)
% Scale constraints so that they are proportional to those that achieve 10
% hour growth rate in ME49
% input: struct model
% input: double scale
% output: struct model

model.lb = model.lb * scale;
model.ub = model.ub * scale;

% keep relevant constraints fixed (NGAM, glucose, oxygen, etc)
model = changeRxnBounds(model, 'NGAM', 5, 'l');
model = changeRxnBounds(model, 'T4', 10, 'u');
model = changeRxnBounds(model, 'D2', 20, 'u');
model = changeRxnBounds(model, 'D4', 5, 'u');
model = changeRxnBounds(model, 'D5', 10, 'u');

end